petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatCompositeGetNumberMat

Returns the number of matrices in the composite matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCompositeGetNumberMat(Mat mat,PetscInt *nmat)

Not Collective

### Input Parameter

mat -the composite matrix

### Output Parameter

nmat -number of matrices in the composite matrix

### See Also

MatCreateComposite(), MatCompositeGetMat(), MATCOMPOSITE

### Level

advanced

### Location

src/mat/impls/composite/mcomposite.c

### Examples

src/mat/examples/tutorials/ex9.c.html

### Implementations

MatCompositeGetNumberMat_Composite in src/mat/impls/composite/mcomposite.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages